/********************************************************************************
*                                                                               *
*                      F X   M O V I E   M A N A G E R                          *
*                                                                               *
*********************************************************************************
* Copyright(C) 2008,2018 by Luigi Ziviani <ziviani_luigi@yahoo.it>.             *
* All Rights Reserved.                            version 7.0                   *
*********************************************************************************
* Id: playerdialog.h,                             2008/01/01                    *
*********************************************************************************
* This file is part of FXMOVIEMANAGER                                           *
*                                                                               *
* FXMOVIEMANAGER is free software; you can redistribute it and/or modify        *
* it under the terms of the GNU General Public License as published by          *
* the Free Software Foundation; either version 3 of the License, or             *
* (at your option) any later version.                                           *
*                                                                               *
* FXMOVIEMANAGER is distributed in the hope that it will be useful,             *
* but WITHOUT ANY WARRANTY; without even the implied warranty of                *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                 *
* GNU General Public License for more details.                                  *
*                                                                               *
* You should have received a copy of the GNU General Public License             *
* along with this program; if not, see <http://www.gnu.org/licenses/>           *
********************************************************************************/

#ifndef PLAYERDIALOG_H
#define PLAYERDIALOG_H

class PlayerDialog : public FXDialogBox {
  FXDECLARE(PlayerDialog)

protected:
  FXIcon *cancelicon;
  FXIcon *accepticon;
  FXVerticalFrame *dialogframe;
  FXImageFrame *imageframe;
  FXHorizontalFrame *buttonsframe;
  FXMenuButton *rotbutton;
  FXMenuPane *rotmenu;
  FXMenuButton *clockbutton;
  FXMenuPane *clockmenu;
  FXMenuButton *keepbutton;
  FXMenuPane *keepmenu;
  FXMenuRadio *keep0;
  FXMenuRadio *keep1;
  FXMenuRadio *keep2;
  FXTextField *audio_name;
  FXTextField *video_name;
  FXTextField *stitle_name;
  FXint i_rot;
  FXint i_clock;
  FXint i_keep;

protected:
  PlayerDialog(){};
  PlayerDialog(const PlayerDialog&){};

protected:
  void setFilter(FXint i);

public:
  long onCmdAccept(FXObject*,FXSelector,void*);
  long onCmdCancel(FXObject*,FXSelector,void*);
  long onCmdKeep(FXObject *,FXSelector,void *);
  long onUpdKeep(FXObject*,FXSelector,void*);
  long onCmdRotation(FXObject*,FXSelector,void*);
  long onUpdRotation(FXObject*,FXSelector,void*);
  long onCmdClock(FXObject*,FXSelector,void*);
  long onUpdClock(FXObject*,FXSelector,void*);

public:
  enum{
    ID_ACCEPT=FXMainWindow::ID_LAST,
    ID_CANCEL,
    ID_KEEP_0,
    ID_KEEP_1,
    ID_KEEP_2,
    ID_ROTATION_0,
    ID_ROTATION_1,
    ID_ROTATION_2,
    ID_ROTATION_3,
    ID_ROTATION_4,
    ID_CLOCK_0,
    ID_CLOCK_1,
    ID_CLOCK_2,
    ID_LAST
    };

public:
  // Construct dialog
  PlayerDialog(FXWindow *owner,FXint w, FXint h);

  void returnCodecName();
  void setCmd(char list[1024], int64_t ts, int64_t td, int x, int y, int l, int f, int d, int a, int v, float ta, int vol);
  void setAccept();
  void setKeepGoing(FXint ii_keep);
  FXint getKeepGoing() const { return i_keep; };
  // Get/set the image for the new MOVIE
  void setNewImage(FXImage* img){ imageframe->setImage(img); }
  FXImage* getNewImage() { return imageframe->getImage(); }
  // Destroy
  virtual ~PlayerDialog();
  };

#endif
